Get Current Positions For A User
Returns cached positions for a wallet, enriched with metadata and lifecycle hints
GET
user*stringWallet address whose positions should be returned.
market?array<>Comma-separated list of condition IDs.
sizeThreshold?numberMinimum token balance to include in the response.
Range
0 <= valueDefault
1redeemable?booleanSet to true to only return claims that can currently be redeemed.
Default
falsemergeable?booleanSet to true to only return positions that can be merged.
Default
falselimit?integerMaximum number of rows to return (max 500).
Range
0 <= value <= 500Default
100offset?integerCursor offset for pagination (max 10,000).
Range
0 <= value <= 10000Default
0sortBy?stringSort column for the response.
Default
"TOKENS"Value in
"CURRENT""INITIAL""TOKENS""CASHPNL""PERCENTPNL""TITLE""RESOLVING""PRICE""AVGPRICE"sortDirection?stringSort direction (ascending or descending).
Default
"DESC"Value in
"ASC""DESC"title?stringSubstring search against market title (max 100 chars).
Length
length <= 100Positions were found.
application/json- response
[index: integer]?curl -X GET 'https://data-api-staging.kuest.com/positions?user=0x56687bf447db6ffa42ffe2204a05edaa20f55839'[ { "proxyWallet": "0x56687bF447db6fFa42FfE2204a05edAa20f55839", "asset": "0xdd22472e552920b8438158ea7238bfadfa4f736aa4cee91a6b86c39ead110917:0", "conditionId": "0xdd22472e552920b8438158ea7238bfadfa4f736aa4cee91a6b86c39ead110917", "size": 1185.42, "avgPrice": 0.41, "initialValue": 486.02, "currentValue": 623.55, "cashPnl": 137.53, "percentPnl": 28.32, "totalBought": 1625, "realizedPnl": 212.48, "percentRealizedPnl": 13.07, "curPrice": 0.53, "redeemable": true, "mergeable": false, "title": "Will the Fed cut rates in September?", "slug": "fed-rate-cut-sep-2024", "icon": "https://cdn.domain.com/markets/fed.png", "eventSlug": "fomc-2024-policy", "outcome": "Yes", "outcomeIndex": 0, "oppositeOutcome": "No", "oppositeAsset": "0xdd22472e552920b8438158ea7238bfadfa4f736aa4cee91a6b86c39ead110917:1", "timestamp": 1719273600, "endDate": "2024-09-18T18:00:00Z", "negativeRisk": true }, { "proxyWallet": "0x56687bF447db6fFa42FfE2204a05edAa20f55839", "asset": "0x8eee3789813eead2d47db3bdf6a1c5021f564ef18e2aefc8b80b9dcd5d6f8ac5:1", "conditionId": "0x8eee3789813eead2d47db3bdf6a1c5021f564ef18e2aefc8b80b9dcd5d6f8ac5", "size": 940.11, "avgPrice": 0.47, "initialValue": 441.85, "currentValue": 389.84, "cashPnl": -52.01, "percentPnl": -11.77, "totalBought": 1300, "realizedPnl": 98.67, "percentRealizedPnl": 7.59, "curPrice": 0.42, "redeemable": false, "mergeable": true, "title": "Will turnout exceed 60% in the French election?", "slug": "france-turnout-60", "icon": "https://cdn.domain.com/markets/france-election.png", "eventSlug": "french-presidential-2024", "outcome": "No", "outcomeIndex": 1, "oppositeOutcome": "Yes", "oppositeAsset": "0x8eee3789813eead2d47db3bdf6a1c5021f564ef18e2aefc8b80b9dcd5d6f8ac5:0", "timestamp": 1718083200, "endDate": "2024-07-07T20:00:00Z", "negativeRisk": false }]